<template>
  <v-row>
    <v-col>
      <head-bar :title="pageTitle" back />

      <address-list :addresses="addresses"></address-list>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  data() {
    return {
      pageTitle: 'Addresses',
      addresses: [],
    }
  },
  mounted() {
    this.getAddresses()
  },
  methods: {
    async getAddresses() {
      this.addresses = (
        await this.$axios.$get(
          'http://delivery.localhost:4000/addresses' // TODO: filter for current user
        )
      ).filter((address: any) => address.ownerType === 'deliverer')
    },
  },
})
</script>
